## netdata 1.19.0

=== debian/changelog ===
netdata (1.19.0-3ubuntu1) focal; urgency=medium

  * Lower optimization level on s390x to fix FTBFS with new gcc

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 09 Apr 2020 11:23:53 +0200

netdata (1.19.0-3) sid; urgency=medium

  [ Daniel Baumann ]
  * Updating years in copyright file for 2020.
  * Updating to standards version 4.5.0.

  [ Louis-Philippe Véronneau ]
  * Allow binding a unix socket in /run (Closes: #946751).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 07 Apr 2020 07:39:12 +0200

netdata (1.19.0-2) sid; urgency=medium

  * Moving nfacct.plugin to netdata-core, thanks to Stefan Krüger
    <space7@web.de> for the report (Closes: #946140).
  * Removing pre-buster breaks.
  * Moving slapinfo.plugin to netdata-core too.
  * Using codenames in changelog instead of suite names for clarity.
  * Adding changelog entries for buster update.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 08 Dec 2019 21:40:25 +0100

netdata (1.19.0-1) sid; urgency=medium

  * Merging upstream version 1.19.0.
  * Refreshing remove-infographic.patch.
  * Refreshing remove-contrib-files.patch.
  * Adding nc to netdata-core suggests for IRC notifications.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Thu, 28 Nov 2019 05:56:10 +0100

netdata (1.18.1-1) sid; urgency=medium

  * Merging upstream version 1.18.1.
  * Wrapping configure options in rules for better readability.
  * Building with openssl, thanks to Pavel Nakonechnyi
    <pavel@gremwell.com> for the bug report (Closes: #942492).
  * Enabling nfacct plugin.
  * Enabling dbengine, thanks to Thomas <74cmonty@gmail.com> for the bug
    report (Closes: #940842).
  * Updating build-depends to have explicit depends rather than to depend
    on packages pulled in (libcap-dev and libjson-c-dev).
  * Adding useful suggests to netdata-core and netdata-core-nosse to
    monitor APC UPS' (apcupsd), hdd temperature (hddtemp), Linux QoS
    (iproute2), Linux Wireless AP functionality (iw), and hardware sensors
    (lm-sensors).
  * Adding useful suggests to netdata-plugins-python to monitor postgresql
    (python3-psycopg2), mariadb (python3-pymysql), and elasticsearch
    (python3-requests).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 26 Oct 2019 10:30:02 +0200

netdata (1.18.0-1) sid; urgency=medium

  * Merging upstream version 1.18.0.
  * Updating to standards version 4.4.1, no changes needed.
  * Renabling freeipmi plugin as #935764 is fixed.
  * Refreshing use-python3.patch.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 13 Oct 2019 10:37:56 +0200

netdata (1.17.1-1) sid; urgency=medium

  * Merging upstream version 1.17.1.
  * Refreshing use-python3.patch.
  * Dropping freeipmi plugin until #935764 is fixed.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Fri, 13 Sep 2019 07:05:32 +0200

netdata (1.17.0-3) sid; urgency=medium

  * Adding reciproce breaks for the plugin packages on netdata-core and
    netdata-core-no-sse to fix partial upgrades.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 03 Sep 2019 19:56:18 +0200

netdata (1.17.0-2) sid; urgency=medium

  * Complementing previous changelog entry about new upstream release.
  * Updating moving of architecture independet plugins to fix FTBFS when
    building arch-indep packages only.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 03 Sep 2019 19:24:07 +0200

netdata (1.17.0-1) sid; urgency=medium

  * Merging upstream version 1.17.0.
  * Updating packaging for mongodb plugin.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 03 Sep 2019 13:04:07 +0200

netdata (1.16.1-6) sid; urgency=medium

  * Udpating TODO file.
  * Adding versioned breaks to accomodate for shipping perf plugin (arch-
    dep) in netdata-core instead of netdata-plugins-bash.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 27 Aug 2019 19:36:25 +0200

netdata (1.16.1-5) sid; urgency=medium

  * Enabling netdata-apache2 package for easy apache reverse proxy setup.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 26 Aug 2019 18:16:37 +0200

netdata (1.16.1-4) sid; urgency=medium

  * Using rules to install netdata configuration to fix FTBFS on i386.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 26 Aug 2019 18:09:50 +0200

netdata (1.16.1-3) sid; urgency=medium

  [ Katharina Drexel ]
  * typo fix in debian/rules: s/init/systemd/
  * adding package netdata-apache2

  [ Daniel Baumann ]
  * Harmonizing whitespace/intenting/style in netdata-apache2 maintainer
    scripts.
  * Simplyfing and rewording netdata-apache2 package description.
  * Running wrap-and-sort.
  * Adding misc depends to netdata-apache2.
  * Moving new arch-dep perf.plugin to core packages.
  * Marking perf.plugin setuid root as it should be.
  * Adding lintian overrides for netdata-apache2.
  * Using apache2-maintscript-helper in netdata-apache2 maintainer
    scripts.
  * Deduplicating apache2 configuration.
  * Moving local netdata.conf into subdirectory within source tree for
    consistency.
  * Using debhelper install files to install netdata configuration.
  * Removing Google Fonts in console.html for privacy reasons.
  * Removing Google Tag Manager in console.html for privacy reasons.
  * Adding pgpmode to watch file to use the included signingkey when
    verifying tarballs.
  * Using dh-apache2 ito do the heavy-lifting for netdata-apache2.
  * Updating TODO file.
  * Disabling netdata-apache2 for the next upload to go to unstable.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 26 Aug 2019 13:55:28 +0200

netdata (1.16.1-2) sid; urgency=medium

  [ Katharina Drexel ]
  * fixing group permissions for reading logs
  * correct the file permissions so that the python plugins also work

  [ Daniel Baumann ]
  * Removing 'Sign In' infobar on the bottom of the screen (Closes:
    #930504).
  * Using bash instead of sh for edit-config.
  * Renumbering patches.


=== debian/control ===
Source: netdata
Section: net
Priority: optional
Maintainer: Lennart Weller <lhw@ring0.de>
Uploaders:
 Federico Ceratto <federico@debian.org>,
 Daniel Baumann <daniel.baumann@progress-linux.org>,
Build-Depends:
 debhelper-compat (= 12),
 dh-apache2,
 libcap-dev,
 libipmimonitoring-dev,
 libjson-c-dev,
 libjudy-dev,
 liblz4-dev,
 libmnl-dev,
 libnetfilter-acct-dev,
 libssl-dev,
 libuv1-dev,
 pkg-config,
 uuid-dev,
 zlib1g-dev,
Rules-Requires-Root: no
Standards-Version: 4.5.0
Homepage: https://github.com/netdata/netdata
Vcs-Browser: https://salsa.debian.org/debian/netdata
Vcs-Git: https://salsa.debian.org/debian/netdata.git

Package: netdata
Section: net
Architecture: all
Depends:
 netdata-core | netdata-core-no-sse,
 netdata-plugins-bash,
 netdata-web,
 ${misc:Depends},
Recommends:
 netdata-plugins-nodejs,
 netdata-plugins-python,
Description: real-time performance monitoring (metapackage)
 Netdata is distributed, real-time, performance and health monitoring for
 systems and applications. It provides insights of everything happening on the
 systems it runs using interactive web dashboards.
 .
 It can run autonomously without any third party components or it can be
 integrated to existing monitoring tool chains (Prometheus, Graphite,
 OpenTSDB, Kafka, Grafana, etc).
 .
 This package is a metapackage depending on the typical netdata components.

Package: netdata-apache2
Section: net
Architecture: all
Depends:
 apache2,
 netdata-core (>= ${source:Version}) | netdata-core-no-sse (>= ${source:Version}),
 netdata-web (>= ${source:Version}),
 ${misc:Depends},
Enhances:
 netdata-core,
 netdata-core-no-sse,
Description: real-time performance monitoring (apache integration)
 Netdata is distributed, real-time, performance and health monitoring for
 systems and applications. It provides insights of everything happening on the
 systems it runs using interactive web dashboards.
 .
 Netdata includes its own embedded webserver, by default listening on localhost
 only. To make netdata available to other users, a dedicated webserver such as
 apache should be used (with authentication and encryption).
 .
 This package contains the integration for the apache HTTP server.

Package: netdata-core
Section: net
Architecture: linux-any
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 libcap2-bin,
 lsb-base,
 sse2-support [i386],
 ${misc:Depends},
 ${shlibs:Depends},
Conflicts:
 netdata-core-no-sse,
Replaces:
 netdata-core-no-sse,
Recommends:
 curl,
Suggests:
 apcupsd,
 hddtemp,
 iproute2,
 iw,
 lm-sensors,
 nc,
Breaks:
 netdata-plugins-bash (<< 1.19.0-2~),
 netdata-plugins-python (<< 1.17.0-1~),
Description: real-time performance monitoring (core)
 Netdata is distributed, real-time, performance and health monitoring for
 systems and applications. It provides insights of everything happening on the
 systems it runs using interactive web dashboards.
 .
 This package contains the minimal core build with SSE2 optimizations for
 current systems.

Package: netdata-core-no-sse
Section: net
Architecture: i386
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 libcap2-bin,
 lsb-base,
 ${misc:Depends},
 ${shlibs:Depends},
Conflicts:
 netdata-core,
Replaces:
 netdata-core,
Recommends:
 curl,
Suggests:
 apcupsd,
 hddtemp,
 iproute2,
 iw,
 lm-sensors,
 nc,
Breaks:
 netdata-plugins-bash (<< 1.19.0-2~),
 netdata-plugins-python (<< 1.17.0-1~),
Description: real-time performance monitoring (core, no-sse build)
 Netdata is distributed, real-time, performance and health monitoring for
 systems and applications. It provides insights of everything happening on the
 systems it runs using interactive web dashboards.
 .
 This package contains the minimal core build without SSE2 optimizations for
 old systems. If unsure, use netdata-core instead.

Package: netdata-plugins-bash
Section: net
Architecture: all
Multi-Arch: foreign
Depends:
 netdata-core (>= ${source:Version}) | netdata-core-no-sse (>= ${source:Version}),
 ${misc:Depends},
Suggests:
 fping,
Provides:
 netdata-plugins,
Enhances:
 netdata-core,
 netdata-core-no-sse,
Breaks:
 netdata-core (<< 1.19.0-2~),
 netdata-core-no-sse (<< 1.19.0-2~),
Description: real-time performance monitoring (bash plugins)
 Netdata is distributed, real-time, performance and health monitoring for
 systems and applications. It provides insights of everything happening on the
 systems it runs using interactive web dashboards.
 .
 This package contains the plugins using bash.

Package: netdata-plugins-nodejs
Section: net
Architecture: all
Multi-Arch: foreign
Depends:
 netdata-core (>= ${source:Version}) | netdata-core-no-sse (>= ${source:Version}),
 ${misc:Depends},
Recommends:
 nodejs,
Provides:
 netdata-plugins,
Enhances:
 netdata-core,
 netdata-core-no-sse,
Description: real-time performance monitoring (nodejs plugins)
 Netdata is distributed, real-time, performance and health monitoring for
 systems and applications. It provides insights of everything happening on the
 systems it runs using interactive web dashboards.
 .
 This package contains the plugins using nodejs.

Package: netdata-plugins-python
Section: net
Architecture: all
Multi-Arch: foreign
Depends:
 netdata-core (>= ${source:Version}) | netdata-core-no-sse (>= ${source:Version}),
 python3,
 python3-six,
 python3-urllib3 (>= 1.22),
 python3-yaml,
 ${misc:Depends},
Suggests:
 python3-psycopg2,
 python3-pymysql,
 python3-requests,
Provides:
 netdata-plugins,
Enhances:
 netdata-core,
 netdata-core-no-sse,
Breaks:
 netdata-core (<< 1.17.0-1~),
 netdata-core-no-sse (<< 1.17.0-1~),
Description: real-time performance monitoring (python plugins)
 Netdata is distributed, real-time, performance and health monitoring for
 systems and applications. It provides insights of everything happening on the
 systems it runs using interactive web dashboards.
 .
 This package contains the plugins using python.

Package: netdata-web
Section: net
Architecture: all
Depends:
 fonts-font-awesome,
 libjs-bootstrap,
 netdata-core (>= ${source:Version}) | netdata-core-no-sse (>= ${source:Version}),
 ${misc:Depends},
Conflicts:
 netdata-data,
Replaces:
 netdata-data,
Enhances:
 netdata-core,
 netdata-core-no-sse,
Description: real-time performance monitoring (web)
 Netdata is distributed, real-time, performance and health monitoring for
 systems and applications. It provides insights of everything happening on the
 systems it runs using interactive web dashboards.
 .
 This package contains the web frontend.

=== debian/rules ===
#!/usr/bin/make -f

TOP = $(CURDIR)/debian/netdata

PACKAGES := $(shell dh_listpackages -a)

VERSION := $(shell dpkg-parsechangelog -SVersion)
VERSION_MAJOR := $(word 1, $(subst ., ,$(VERSION)))
VERSION_MINOR := $(word 2, $(subst ., ,$(VERSION)))
VERSION_FIX := $(word 3, $(subst -, ,$(subst ., ,$(VERSION))))
VERSION_SUFFIX := -$(word 4, $(subst -, ,$(subst ., ,$(VERSION))))

include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
ifeq ($(DEB_HOST_ARCH),s390x)
export DEB_CFLAGS_MAINT_APPEND  = -Wall -O2
else
export DEB_CFLAGS_MAINT_APPEND  = -Wall -O3
endif
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh ${@} --with apache2

override_dh_autoreconf:
	rm -f debian/configure.ac.orig
	cp configure.ac debian/configure.ac.orig

	sed -i	-e 's/^\(define(\[VERSION_MAJOR]\).*/\1, [$(VERSION_MAJOR)])/' \
		-e 's/^\(define(\[VERSION_MINOR]\).*/\1, [$(VERSION_MINOR)])/' \
		-e 's/^\(define(\[VERSION_FIX]\).*/\1, [$(VERSION_FIX)])/' \
		-e 's/^\(define(\[VERSION_SUFFIX]\).*/\1, [$(VERSION_SUFFIX)])/' \
	configure.ac

	dh_autoreconf

override_dh_autoreconf_clean:
	if [ -e debian/configure.ac.orig ]; \
	then \
		rm -f configure.ac; \
		mv debian/configure.ac.orig configure.ac; \
	fi

	dh_autoreconf_clean

override_dh_auto_clean:
	dh_auto_clean

	rm -rf build-core
	rm -rf build-core-no-sse debian/tmp-core-no-sse

override_dh_auto_configure:
	mkdir -p build-core
	dh_auto_configure -B build-core -- --libdir=/usr/lib --libexecdir=/usr/lib \
		--enable-x86-sse \
		--enable-dbengine \
		--enable-https \
		--enable-plugin-freeipmi \
		--enable-plugin-nfacct \
		--with-math
	cp -a tests build-core
	cp -a web/gui/src build-core/web/gui

ifeq (netdata-core-no-sse,$(findstring netdata-core-no-sse,$(PACKAGES)))
	mkdir -p build-core-no-sse
	dh_auto_configure -B build-core-no-sse -- --libdir=/usr/lib --libexecdir=/usr/lib \
		--disable-x86-sse \
		--enable-dbengine \
		--enable-https \
		--enable-plugin-freeipmi \
		--enable-plugin-nfacct \
		--with-math
	cp -a tests build-core-no-sse
	cp -a web/gui/src build-core-no-sse/web/gui
endif

override_dh_auto_build:
	dh_auto_build -B build-core

ifeq (netdata-core-no-sse,$(findstring netdata-core-no-sse,$(PACKAGES)))
	dh_auto_build -B build-core-no-sse
endif

override_dh_auto_install:
	dh_auto_install -B build-core -- DESTDIR=$(CURDIR)/debian/tmp

	# Building without aws kinesis backend (needs aws sdk)
	rm -f debian/tmp/usr/lib/netdata/conf.d/aws_kinesis.conf

ifeq (netdata-core-no-sse,$(findstring netdata-core-no-sse,$(PACKAGES)))
	dh_auto_install -B build-core-no-sse -- DESTDIR=$(CURDIR)/debian/tmp-core-no-sse
endif

	# Moving architecture independent plugins
	mkdir -p $(TOP)-plugins-python/usr/lib/netdata/conf.d/health.d
	mv debian/tmp/usr/lib/netdata/conf.d/health.d/mongodb.conf $(TOP)-plugins-python/usr/lib/netdata/conf.d/health.d
	mv debian/tmp/usr/lib/netdata/conf.d/mongodb.conf $(TOP)-plugins-python/usr/lib/netdata/conf.d

override_dh_install-arch:
	find debian/tmp -name .keep -delete

	# Copy architecture dependent plugins
	mkdir -p $(TOP)-core/etc/netdata
	cp debian/local/netdata/netdata.conf $(TOP)-core/etc/netdata
	touch $(TOP)-core/etc/netdata/.opt-out-from-anonymous-statistics

	mkdir -p $(TOP)-core/usr/lib/netdata/plugins.d
	for plugin in cgroup-network apps.plugin freeipmi.plugin nfacct.plugin perf.plugin slabinfo.plugin; \
	do \
		cp debian/tmp/usr/lib/netdata/plugins.d/$${plugin} \
		   $(TOP)-core/usr/lib/netdata/plugins.d; \
	done

ifeq (netdata-core-no-sse,$(findstring netdata-core-no-sse,$(PACKAGES)))
	find debian/tmp-core-no-sse -name .keep -delete
	dh_install -p netdata-core-no-sse --sourcedir=debian/tmp-core-no-sse

	mkdir -p $(TOP)-core-no-sse/etc/netdata
	cp debian/local/netdata/netdata.conf $(TOP)-core-no-sse/etc/netdata
	touch $(TOP)-core-no-sse/etc/netdata/.opt-out-from-anonymous-statistics

	mkdir -p $(TOP)-core-no-sse/usr/lib/netdata/plugins.d
	for plugin in cgroup-network apps.plugin freeipmi.plugin nfacct.plugin perf.plugin slabinfo.plugin; \
	do \
		cp debian/tmp-core-no-sse/usr/lib/netdata/plugins.d/$${plugin} \
		   $(TOP)-core-no-sse/usr/lib/netdata/plugins.d; \
	done

	dh_install -a --remaining-packages
else
	dh_install -a
endif

override_dh_install-indep:
	find debian/tmp -name .keep -delete

	dh_install -i

	# Move architecture dependent plugins
	mkdir -p $(TOP)-core/usr/lib/netdata/plugins.d
	for plugin in cgroup-network apps.plugin freeipmi.plugin nfacct.plugin perf.plugin slabinfo.plugin; \
	do \
		mv -f $(TOP)-plugins-bash/usr/lib/netdata/plugins.d/$${plugin} \
		   $(TOP)-core/usr/lib/netdata/plugins.d; \
	done

	mkdir -p $(TOP)-plugins-nodejs/usr/lib/netdata/plugins.d
	for plugin in node.d.plugin; \
	do \
		mv $(TOP)-plugins-bash/usr/lib/netdata/plugins.d/$${plugin} \
		   $(TOP)-plugins-nodejs/usr/lib/netdata/plugins.d; \
	done

	mkdir -p $(TOP)-plugins-python/usr/lib/netdata/plugins.d
	for plugin in python.d.plugin; \
	do \
		mv $(TOP)-plugins-bash/usr/lib/netdata/plugins.d/$${plugin} \
		   $(TOP)-plugins-python/usr/lib/netdata/plugins.d; \
	done

	# Setting package version (update check)
	echo $(VERSION) > $(TOP)-web/usr/share/netdata/web/version.txt

override_dh_installinit:
	dh_installinit -p netdata-core --name=netdata
	dh_installinit -p netdata-core-no-sse --name=netdata
	dh_installinit --remaining-packages

override_dh_installsystemd:
	dh_installsystemd -p netdata-core --name=netdata
	dh_installsystemd -p netdata-core-no-sse --name=netdata
	dh_installsystemd --remaining-packages

override_dh_installlogrotate:
	dh_installlogrotate -p netdata-core --name=netdata
	dh_installlogrotate -p netdata-core-no-sse --name=netdata
	dh_installlogrotate --remaining-packages

override_dh_missing:
	dh_missing --fail-missing

override_dh_fixperms-arch:
	dh_fixperms -a

	# apps.plugin should only be runnable by the netdata user. It will be
	# given extra capabilities in the postinst script.
	chmod 0754 $(TOP)-core/usr/lib/netdata/plugins.d/apps.plugin
	chmod 4754 $(TOP)-core/usr/lib/netdata/plugins.d/freeipmi.plugin
	chmod 4754 $(TOP)-core/usr/lib/netdata/plugins.d/perf.plugin
ifeq (netdata-core-no-sse,$(findstring netdata-core-no-sse,$(PACKAGES)))
	chmod 0754 $(TOP)-core-no-sse/usr/lib/netdata/plugins.d/apps.plugin
	chmod 4754 $(TOP)-core-no-sse/usr/lib/netdata/plugins.d/freeipmi.plugin
	chmod 4754 $(TOP)-core-no-sse/usr/lib/netdata/plugins.d/perf.plugin
endif

override_dh_fixperms-indep:
	dh_fixperms -i

	# apps.plugin should only be runnable by the netdata user. It will be
	# given extra capabilities in the postinst script.
	chmod 0644 $(TOP)-plugins-bash/usr/lib/netdata/charts.d/*.sh
	chmod 0644 $(TOP)-plugins-bash/usr/lib/netdata/plugins.d/*.sh.inc
	chmod 0644 $(TOP)-plugins-python/usr/lib/netdata/python.d/*.py

## netdata 1.29.3

=== CMakeLists.txt ===

# SPDX-License-Identifier: GPL-3.0-or-later
# This file is only used for development (netdata in Clion)
# It can build netdata, but you are on your own...

cmake_minimum_required(VERSION 3.1.0)
project(netdata C CXX)

find_package(Threads REQUIRED)
find_package(PkgConfig REQUIRED)

# default is "Debug"
#set(CMAKE_BUILD_TYPE "Release")

# set this to see the compilation commands
# set(CMAKE_VERBOSE_MAKEFILE 1)


# -----------------------------------------------------------------------------
# Set compilation options according to build type

IF("${CMAKE_BUILD_TYPE}" MATCHES "Debug")
    message(STATUS "building for: debugging")

    ## unfortunately these produce errors
    #include(CheckCXXCompilerFlag)
    #CHECK_CXX_COMPILER_FLAG("-Wformat-signedness" CXX_FORMAT_SIGNEDNESS)
    #CHECK_CXX_COMPILER_FLAG("-Werror=format-security" CXX_FORMAT_SECURITY)
    #CHECK_CXX_COMPILER_FLAG("-fstack-protector-all" CXX_STACK_PROTECTOR)
    set(CXX_FORMAT_SIGNEDNESS "-Wformat-signedness")
    set(CXX_FORMAT_SECURITY "-Werror=format-security")
    set(CXX_STACK_PROTECTOR "-fstack-protector-all")
    set(CXX_FLAGS_DEBUG "-O0")
    set(CMAKE_C_STANDARD 99)
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -O1 -ggdb -Wall -Wextra -DNETDATA_INTERNAL_CHECKS=1 -DNETDATA_VERIFY_LOCKS=1 ${CXX_FORMAT_SIGNEDNESS} ${CXX_FORMAT_SECURITY} ${CXX_STACK_PROTECTOR} ${CXX_FLAGS_DEBUG}")
ELSE()
    message(STATUS "building for: release")
    cmake_policy(SET CMP0069 "NEW")
    include(CheckIPOSupported)
    check_ipo_supported(RESULT ipo_supported OUTPUT error)
    IF(${ipo_supported})
        message(STATUS "link time optimization: supported")
        set(CMAKE_INTERPROCEDURAL_OPTIMIZATION TRUE)
    ELSE()
        message(STATUS "link time optimization: not supported")
    ENDIF()
ENDIF()


# -----------------------------------------------------------------------------
# O/S Detection

# these are defined in common.h too
SET(LINUX   False)
SET(FREEBSD False)
SET(MACOS   False)

# Detect the operating system
IF(${CMAKE_SYSTEM_NAME} MATCHES "Darwin")
    SET(TARGET_OS_NAME "macos")
    SET(TARGET_OS 3)
    SET(MACOS True)
ELSEIF(${CMAKE_SYSTEM_NAME} MATCHES "FreeBSD")
    SET(TARGET_OS_NAME "freebsd")
    SET(TARGET_OS 2)
    SET(FREEBSD True)
ELSE()
    SET(TARGET_OS_NAME "linux")
    SET(TARGET_OS 1)
    SET(LINUX True)
ENDIF()

# show the operating system on the console
message(STATUS "operating system: ${TARGET_OS_NAME} (TARGET_OS=${TARGET_OS})")


# -----------------------------------------------------------------------------
# Detect libuuid

pkg_check_modules(UUID REQUIRED uuid)
set(NETDATA_COMMON_CFLAGS ${NETDATA_COMMON_CFLAGS} ${UUID_CFLAGS_OTHER})
set(NETDATA_COMMON_LIBRARIES ${NETDATA_COMMON_LIBRARIES} ${UUID_LIBRARIES})
set(NETDATA_COMMON_INCLUDE_DIRS ${NETDATA_COMMON_INCLUDE_DIRS} ${UUID_INCLUDE_DIRS})

# -----------------------------------------------------------------------------
# Detect libz

pkg_check_modules(ZLIB REQUIRED zlib)
set(NETDATA_COMMON_CFLAGS ${NETDATA_COMMON_CFLAGS} ${ZLIB_CFLAGS_OTHER})
set(NETDATA_COMMON_LIBRARIES ${NETDATA_COMMON_LIBRARIES} ${ZLIB_LIBRARIES})
set(NETDATA_COMMON_INCLUDE_DIRS ${NETDATA_COMMON_INCLUDE_DIRS} ${ZLIB_INCLUDE_DIRS})

# -----------------------------------------------------------------------------
# libuv multi-platform support library with a focus on asynchronous I/O

pkg_check_modules(LIBUV REQUIRED libuv)
set(NETDATA_COMMON_CFLAGS ${NETDATA_COMMON_CFLAGS} ${LIBUV_CFLAGS_OTHER})
set(NETDATA_COMMON_LIBRARIES ${NETDATA_COMMON_LIBRARIES} ${LIBUV_LIBRARIES})
set(NETDATA_COMMON_INCLUDE_DIRS ${NETDATA_COMMON_INCLUDE_DIRS} ${LIBUV_INCLUDE_DIRS})

# -----------------------------------------------------------------------------
# lz4 Extremely Fast Compression algorithm

pkg_check_modules(LIBLZ4 REQUIRED liblz4)
set(NETDATA_COMMON_CFLAGS ${NETDATA_COMMON_CFLAGS} ${LIBLZ4_CFLAGS_OTHER})
set(NETDATA_COMMON_LIBRARIES ${NETDATA_COMMON_LIBRARIES} ${LIBLZ4_LIBRARIES})
set(NETDATA_COMMON_INCLUDE_DIRS ${NETDATA_COMMON_INCLUDE_DIRS} ${LIBLZ4_INCLUDE_DIRS})

# -----------------------------------------------------------------------------
# Judy General purpose dynamic array

# pkgconfig not working in Ubuntu, why? upstream package broken?
#pkg_check_modules(JUDY REQUIRED Judy)
#set(NETDATA_COMMON_CFLAGS ${NETDATA_COMMON_CFLAGS} ${JUDY_CFLAGS_OTHER})
#set(NETDATA_COMMON_LIBRARIES ${NETDATA_COMMON_LIBRARIES} ${JUDY_LIBRARIES})
#set(NETDATA_COMMON_INCLUDE_DIRS ${NETDATA_COMMON_INCLUDE_DIRS} ${JUDY_INCLUDE_DIRS})
set(NETDATA_COMMON_LIBRARIES ${NETDATA_COMMON_LIBRARIES} "-lJudy")
set(CMAKE_REQUIRED_LIBRARIES "Judy")
include(CheckSymbolExists)
check_symbol_exists("JudyLLast" "Judy.h" HAVE_JUDY)
IF(HAVE_JUDY)
    message(STATUS "Judy library found")
ELSE()
    message( FATAL_ERROR "libJudy required but not found. Try installing 'libjudy-dev' or 'Judy-devel'." )
ENDIF()

# -----------------------------------------------------------------------------
# OpenSSL Cryptography and SSL/TLS Toolkit

pkg_check_modules(OPENSSL REQUIRED openssl)
set(NETDATA_COMMON_CFLAGS ${NETDATA_COMMON_CFLAGS} ${OPENSSL_CFLAGS_OTHER})
set(NETDATA_COMMON_LIBRARIES ${NETDATA_COMMON_LIBRARIES} ${OPENSSL_LIBRARIES})
set(NETDATA_COMMON_INCLUDE_DIRS ${NETDATA_COMMON_INCLUDE_DIRS} ${OPENSSL_INCLUDE_DIRS})

# -----------------------------------------------------------------------------
# JSON-C used to health

pkg_check_modules(JSON REQUIRED json-c)
set(NETDATA_COMMON_CFLAGS ${NETDATA_COMMON_CFLAGS} ${JSONC_CFLAGS_OTHER})
set(NETDATA_COMMON_LIBRARIES ${NETDATA_COMMON_LIBRARIES} ${JSON_LIBRARIES})
set(NETDATA_COMMON_INCLUDE_DIRS ${NETDATA_COMMON_INCLUDE_DIRS} ${JSON_INCLUDE_DIRS})


# -----------------------------------------------------------------------------
# Detect libcap

IF(LINUX)
    pkg_check_modules(CAP QUIET libcap)
    # later we use:
    # ${CAP_LIBRARIES}
    # ${CAP_CFLAGS_OTHER}
    # ${CAP_INCLUDE_DIRS}
ENDIF(LINUX)


# -----------------------------------------------------------------------------
# Detect libipmimonitoring

IF(LINUX)
    pkg_check_modules(IPMI libipmimonitoring)
    # later we use:
    # ${IPMI_LIBRARIES}
    # ${IPMI_CFLAGS_OTHER}
    # ${IPMI_INCLUDE_DIRS}
ENDIF(LINUX)


# -----------------------------------------------------------------------------
# Detect libmnl
IF(LINUX)
    pkg_check_modules(MNL libmnl)
    # later we use:
    # ${MNL_LIBRARIES}
    # ${MNL_CFLAGS_OTHER}
    # ${MNL_INCLUDE_DIRS}
ENDIF(LINUX)


# -----------------------------------------------------------------------------
# Detect libmnl

pkg_check_modules(NFACCT libnetfilter_acct)
# later we use:
# ${NFACCT_LIBRARIES}
# ${NFACCT_CFLAGS_OTHER}
# ${NFACCT_INCLUDE_DIRS}


# -----------------------------------------------------------------------------
# Detect libxenstat

pkg_check_modules(XENSTAT libxenstat)
# later we use:
# ${XENSTAT_LIBRARIES}
# ${XENSTAT_CFLAGS_OTHER}
# ${XENSTAT_INCLUDE_DIRS}


# -----------------------------------------------------------------------------
# Detect MacOS IOKit/Foundation framework

IF(MACOS)
    find_library(IOKIT IOKit)
    find_library(FOUNDATION Foundation)
    # later we use:
    # ${FOUNDATION}
    # ${IOKIT}
ENDIF(MACOS)


# -----------------------------------------------------------------------------
# Detect libcrypto

pkg_check_modules(CRYPTO libcrypto)
# later we use:
# ${CRYPTO_LIBRARIES}
# ${CRYPTO_CFLAGS_OTHER}
# ${CRYPTO_INCLUDE_DIRS}


# -----------------------------------------------------------------------------
# Detect libssl

pkg_check_modules(SSL libssl)
# later we use:
# ${SSL_LIBRARIES}
# ${SSL_CFLAGS_OTHER}
# ${SSL_INCLUDE_DIRS}


# -----------------------------------------------------------------------------
# Detect libcurl

pkg_check_modules(CURL libcurl)
# later we use:
# ${CURL_LIBRARIES}
# ${CURL_CFLAGS_OTHER}
# ${CURL_INCLUDE_DIRS}

# -----------------------------------------------------------------------------
# Detect libaws-c-common

find_library(HAVE_AWS_CHECKSUMS aws-checksums)
# later we use:
# ${HAVE_AWS_CHECKSUMS}

# -----------------------------------------------------------------------------
# Detect libaws-c-common

find_library(HAVE_AWS_COMMON aws-c-common)
# later we use:
# ${HAVE_AWS_COMMON}

# -----------------------------------------------------------------------------
# Detect libaws-c-common

find_library(HAVE_AWS_EVENT_STREAM aws-c-event-stream)
# later we use:
# ${HAVE_AWS_EVENT_STREAM}

# -----------------------------------------------------------------------------
# Detect libaws-cpp-sdk-core

pkg_check_modules(AWS_CORE aws-cpp-sdk-core)
# later we use:
# ${AWS_CORE_LIBRARIES}
# ${AWS_CORE_CFLAGS_OTHER}
# ${AWS_CORE_INCLUDE_DIRS}

# -----------------------------------------------------------------------------
# Detect libaws-cpp-sdk-kinesis

pkg_check_modules(KINESIS aws-cpp-sdk-kinesis)
# later we use:
# ${KINESIS_LIBRARIES}
# ${KINESIS_CFLAGS_OTHER}
# ${KINESIS_INCLUDE_DIRS}

# -----------------------------------------------------------------------------
# Detect libgrpc

pkg_check_modules(GRPC grpc)
# later we use:
# ${GRPC_LIBRARIES}
# ${GRPC_CFLAGS_OTHER}
# ${GRPC_INCLUDE_DIRS}

# -----------------------------------------------------------------------------
# Detect libgoogleapis_cpp_pubsub_protos

pkg_check_modules(PUBSUB googleapis_cpp_pubsub_protos)
# later we use:
# ${PUBSUB_LIBRARIES}
# ${PUBSUB_CFLAGS_OTHER}
# ${PUBSUB_INCLUDE_DIRS}

# -----------------------------------------------------------------------------
# Detect libprotobuf

pkg_check_modules(PROTOBUF protobuf>=3)
# later we use:
# ${PROTOBUF_LIBRARIES}
# ${PROTOBUF_CFLAGS_OTHER}
# ${PROTOBUF_INCLUDE_DIRS}


# -----------------------------------------------------------------------------
# Detect libsnappy

pkg_check_modules(SNAPPY snappy)
# later we use:
# ${SNAPPY_LIBRARIES}
# ${SNAPPY_CFLAGS_OTHER}
# ${SNAPPY_INCLUDE_DIRS}


# -----------------------------------------------------------------------------
# Detect libmongoc

find_package(libmongoc-1.0)
# later we use:
# ${MONGOC_LIBRARIES}
# ${MONGOC_INCLUDE_DIRS}


# -----------------------------------------------------------------------------
# Detect libbpf
IF(LINUX AND EXISTS "${CMAKE_SOURCE_DIR}/externaldeps/libbpf/libbpf.a")
    message(STATUS "libbpf library found")
    pkg_check_modules(ELF REQUIRED libelf)
    # later we use:
    # ${ELF_LIBRARIES}
    # ${ELF_CFLAGS_OTHER}
    # ${ELF_INCLUDE_DIRS}
    IF(ELF_LIBRARIES)
        list(APPEND NETDATA_COMMON_CFLAGS ${ELF_CFLAGS_OTHER})
        list(INSERT NETDATA_COMMON_LIBRARIES 0
            ${CMAKE_SOURCE_DIR}/externaldeps/libbpf/libbpf.a
            ${ELF_LIBRARIES})
        list(APPEND NETDATA_COMMON_INCLUDE_DIRS ${ELF_INCLUDE_DIRS})
        include_directories(BEFORE ${CMAKE_SOURCE_DIR}/externaldeps/libbpf/include)
        set(ENABLE_PLUGIN_EBPF True)
    ELSE(ELF_LIBRARIES)
        set(ENABLE_PLUGIN_EBPF False)
        message(STATUS "ebpf plugin: disabled (requires libelf)")
    ENDIF(ELF_LIBRARIES)
ENDIF()


# -----------------------------------------------------------------------------
# netdata files

set(LIBNETDATA_FILES
        libnetdata/adaptive_resortable_list/adaptive_resortable_list.c
        libnetdata/adaptive_resortable_list/adaptive_resortable_list.h
        libnetdata/config/appconfig.c
        libnetdata/config/appconfig.h
        libnetdata/avl/avl.c
        libnetdata/avl/avl.h
        libnetdata/buffer/buffer.c
        libnetdata/buffer/buffer.h
        libnetdata/clocks/clocks.c
        libnetdata/clocks/clocks.h
        libnetdata/dictionary/dictionary.c
        libnetdata/dictionary/dictionary.h
        libnetdata/eval/eval.c
        libnetdata/eval/eval.h
        libnetdata/inlined.h
        libnetdata/libnetdata.c
        libnetdata/libnetdata.h
        libnetdata/required_dummies.h
        libnetdata/locks/locks.c
        libnetdata/locks/locks.h
        libnetdata/log/log.c
        libnetdata/log/log.h
        libnetdata/os.c
        libnetdata/os.h
        libnetdata/popen/popen.c

=== tests/profile/Makefile ===
# SPDX-License-Identifier: GPL-3.0-or-later

COMMON_CFLAGS = -I ../../ -DTARGET_OS=1  -Wall -Wextra
PROFILE_CFLAGS = -O1 -ggdb $(COMMON_CFLAGS)
PERFORMANCE_CFLAGS = -O2 $(COMMON_CFLAGS)

CFLAGS = $(PERFORMANCE_CFLAGS)

LIBNETDATA_FILES = \
    ../../libnetdata/popen/popen.o \
    ../../libnetdata/storage_number/storage_number.o \
    ../../libnetdata/avl/avl.o \
    ../../libnetdata/socket/socket.o \
    ../../libnetdata/os.o \
    ../../libnetdata/clocks/clocks.o \
    ../../libnetdata/procfile/procfile.o \
    ../../libnetdata/statistical/statistical.o \
    ../../libnetdata/eval/eval.o \
    ../../libnetdata/threads/threads.o \
    ../../libnetdata/dictionary/dictionary.o \
    ../../libnetdata/simple_pattern/simple_pattern.o \
    ../../libnetdata/url/url.o \
    ../../libnetdata/config/appconfig.o \
    ../../libnetdata/libnetdata.o \
    ../../libnetdata/buffer/buffer.o \
    ../../libnetdata/adaptive_resortable_list/adaptive_resortable_list.o \
    ../../libnetdata/locks/locks.o \
    ../../libnetdata/log/log.o \
    $(NULL)

COMMON_LDFLAGS = $(LIBNETDATA_FILES) -pthread -lm

all: statsd-stress benchmark-procfile-parser test-eval benchmark-dictionary benchmark-value-pairs

benchmark-procfile-parser: benchmark-procfile-parser.c
	gcc ${CFLAGS} -o $@ $^ ${COMMON_LDFLAGS}

benchmark-dictionary: benchmark-dictionary.c
	gcc ${CFLAGS} -o $@ $^ ${COMMON_LDFLAGS}

benchmark-value-pairs: benchmark-value-pairs.c
	gcc ${CFLAGS} -o $@ $^ ${COMMON_LDFLAGS}

statsd-stress: statsd-stress.c
	gcc ${CFLAGS} -o $@ $^ ${COMMON_LDFLAGS}

test-eval: test-eval.c
	gcc ${CFLAGS} -o $@ $^ ${COMMON_LDFLAGS}

clean:
	rm -f benchmark-procfile-parser statsd-stress test-eval benchmark-dictionary benchmark-value-pairs

=== debian/changelog ===
netdata (1.29.3-4) unstable; urgency=medium

  * Adding replaces in control to fix upgrade from buster,
    thanks to Andreas Beckmann <anbe@debian.org> (Closes: #985101).
  * Updating vcs fields.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Fri, 12 Mar 2021 21:47:31 +0100

netdata (1.29.3-3) unstable; urgency=medium

  * Removing unused gbp.conf.
  * Updating rules to use current dh features.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 27 Feb 2021 17:39:30 +0100

netdata (1.29.3-2) unstable; urgency=medium

  * Applying patch from Gianfranco Costamagna <locutusofborg@debian.org>
    to lower optimization level on s390x to fix FTBFS with new gcc.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Fri, 26 Feb 2021 09:04:02 +0100

netdata (1.29.3-1) unstable; urgency=medium

  * Merging upstream version 1.29.3.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Wed, 24 Feb 2021 05:57:25 +0100

netdata (1.29.2-1) unstable; urgency=medium

  * Merging upstream version 1.29.2.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Thu, 18 Feb 2021 16:22:47 +0100

netdata (1.29.1-3) unstable; urgency=medium

  * Adding patch from Helmut Grohne <helmut@subdivi.de> to fix FTCBFS by not
    abusing AC_CHECK_FILE (Closes: #982523).
  * Correcting email in previous changelog.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Thu, 11 Feb 2021 14:26:53 +0100

netdata (1.29.1-2) unstable; urgency=medium

  * Enabling cups support.
  * Enabling prometheus support, thanks to Peter Gervai <grin@grin.hu> for the
    suggestion (Closes: #982376).
  * Updating TODO file.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 09 Feb 2021 16:53:37 +0100

netdata (1.29.1-1) unstable; urgency=medium

  * Merging upstream version 1.29.1.
  * Sorting uploaders in control.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 09 Feb 2021 14:25:16 +0100

netdata (1.29.0-3) unstable; urgency=medium

  * Updating TODO file.
  * Explicitly disabling netdata cloud support as it requires some weird
    special/forked/patched libraries.
  * Moving myself to maintainer, thanks Lennart.
  * Adding README.Debian for netdata, explaining mysql/mariadb tplugin things
    (Closes: #921047).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 09 Feb 2021 13:53:18 +0100

netdata (1.29.0-2) unstable; urgency=medium

  * Adding /var/spool to read-write directories within systemd (Closes: #952470).
  * Harmonizing patch numbering.
  * Minimizing use-system-python.patch.
  * Minimizing remove-update-button.patch.
  * Minimizing remove-social-media-buttons.patch.
  * Minimizing remove-signin.patch.
  * Minimizing remove-googlefonts.patch.
  * Minimizing remove-googletagmanager.patch.
  * Updating to debhelper version 13.
  * Updating to standards version 4.5.1.
  * Updating some entries in copyright for current upstream version.
  * Updating manpage for current upstream version.
  * Updating TODO file.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 07 Feb 2021 15:31:45 +0100

netdata (1.29.0-1) experimental; urgency=medium

  * Merging upstream version 1.29.0:
    - new upstream (Closes: #952959)
    - works with autoconf 2.70 (Closes: #978870)
    - no python unbound plugin anymore (Closes: #946753),
      following upstream the go.d plugins will be in a separate package.
  * Refreshing allow-symlinks.patch.
  * Removing gcc-10.patch, merged upstream.
  * Refreshing use-system-python.patch.
  * Refreshing remove-googleanalytics.patch.
  * Removing remove-login.patch, not applicable for now.
  * Building without ipmi support for now, needs further fixes to build.
  * Including ackl/tests in build-workaround.
  * Updating path when moving mongodb plugin into plugin package.
  * Adding further core configuration files to debhelper install files.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 07 Feb 2021 13:19:14 +0100

netdata (1.19.0-4) sid; urgency=medium

  * Adding patch from upstream to fix FTBFS with gcc 10, thanks to Gianfranco
    Costamagna <locutusofborg@debian.org> (Closes: #957595).

 -- Daniel Baumann <daniel@daniel.127011.ch>  Fri, 31 Jul 2020 13:43:03 +0200

=== debian/control ===
--- 
+++ 
@@ -1,30 +1,33 @@
 Source: netdata
 Section: net
 Priority: optional
-Maintainer: Lennart Weller <lhw@ring0.de>
+Maintainer: Daniel Baumann <daniel.baumann@progress-linux.org>
 Uploaders:
+ Lennart Weller <lhw@ring0.de>,
  Federico Ceratto <federico@debian.org>,
- Daniel Baumann <daniel.baumann@progress-linux.org>,
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-apache2,
  libcap-dev,
- libipmimonitoring-dev,
+ libcups2-dev,
  libjson-c-dev,
  libjudy-dev,
  liblz4-dev,
  libmnl-dev,
  libnetfilter-acct-dev,
+ libprotobuf-dev,
+ libsnappy-dev,
  libssl-dev,
  libuv1-dev,
  pkg-config,
+ protobuf-compiler,
  uuid-dev,
  zlib1g-dev,
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://github.com/netdata/netdata
-Vcs-Browser: https://salsa.debian.org/debian/netdata
-Vcs-Git: https://salsa.debian.org/debian/netdata.git
+Vcs-Browser: https://git.progress-linux.org/users/daniel.baumann/debian/packages/netdata
+Vcs-Git: https://git.progress-linux.org/users/daniel.baumann/debian/packages/netdata
 
 Package: netdata
 Section: net
@@ -81,10 +84,6 @@
  sse2-support [i386],
  ${misc:Depends},
  ${shlibs:Depends},
-Conflicts:
- netdata-core-no-sse,
-Replaces:
- netdata-core-no-sse,
 Recommends:
  curl,
 Suggests:
@@ -97,6 +96,12 @@
 Breaks:
  netdata-plugins-bash (<< 1.19.0-2~),
  netdata-plugins-python (<< 1.17.0-1~),
+Conflicts:
+ netdata-core-no-sse,
+Replaces:
+ netdata-core-no-sse,
+ netdata-plugins-bash (<< 1.19.0-2~),
+ netdata-plugins-python (<< 1.17.0-1~),
 Description: real-time performance monitoring (core)
  Netdata is distributed, real-time, performance and health monitoring for
  systems and applications. It provides insights of everything happening on the
@@ -118,7 +123,8 @@
 Conflicts:
  netdata-core,
 Replaces:
- netdata-core,
+ netdata-plugins-bash (<< 1.19.0-2~),
+ netdata-plugins-python (<< 1.17.0-1~),
 Recommends:
  curl,
 Suggests:
@@ -156,6 +162,9 @@
 Breaks:
  netdata-core (<< 1.19.0-2~),
  netdata-core-no-sse (<< 1.19.0-2~),
+Replaces:
+ netdata-core (<< 1.19.0-2~),
+ netdata-core-no-sse (<< 1.19.0-2~),
 Description: real-time performance monitoring (bash plugins)
  Netdata is distributed, real-time, performance and health monitoring for
  systems and applications. It provides insights of everything happening on the
@@ -207,6 +216,9 @@
 Breaks:
  netdata-core (<< 1.17.0-1~),
  netdata-core-no-sse (<< 1.17.0-1~),
+Replaces:
+ netdata-core (<< 1.17.0-1~),
+ netdata-core-no-sse (<< 1.17.0-1~),
 Description: real-time performance monitoring (python plugins)
  Netdata is distributed, real-time, performance and health monitoring for
  systems and applications. It provides insights of everything happening on the

=== debian/rules ===
--- 
+++ 
@@ -13,17 +13,19 @@
 include /usr/share/dpkg/architecture.mk
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+
 ifeq ($(DEB_HOST_ARCH),s390x)
 export DEB_CFLAGS_MAINT_APPEND  = -Wall -O2
 else
 export DEB_CFLAGS_MAINT_APPEND  = -Wall -O3
 endif
+
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
 %:
 	dh ${@} --with apache2
 
-override_dh_autoreconf:
+execute_before_dh_autoreconf:
 	rm -f debian/configure.ac.orig
 	cp configure.ac debian/configure.ac.orig
 
@@ -33,45 +35,45 @@
 		-e 's/^\(define(\[VERSION_SUFFIX]\).*/\1, [$(VERSION_SUFFIX)])/' \
 	configure.ac
 
-	dh_autoreconf
-
-override_dh_autoreconf_clean:
+execute_before_dh_autoreconf_clean:
 	if [ -e debian/configure.ac.orig ]; \
 	then \
 		rm -f configure.ac; \
 		mv debian/configure.ac.orig configure.ac; \
 	fi
 
-	dh_autoreconf_clean
-
-override_dh_auto_clean:
-	dh_auto_clean
-
+execute_after_dh_auto_clean:
 	rm -rf build-core
 	rm -rf build-core-no-sse debian/tmp-core-no-sse
 
 override_dh_auto_configure:
 	mkdir -p build-core
 	dh_auto_configure -B build-core -- --libdir=/usr/lib --libexecdir=/usr/lib \
+		--disable-cloud \
 		--enable-x86-sse \
+		--enable-backend-prometheus-remote-write \
 		--enable-dbengine \
 		--enable-https \
-		--enable-plugin-freeipmi \
+		--enable-plugin-cups \
 		--enable-plugin-nfacct \
 		--with-math
 	cp -a tests build-core
+	cp -a aclk/legacy/tests build-core/aclk/legacy
 	cp -a web/gui/src build-core/web/gui
 
 ifeq (netdata-core-no-sse,$(findstring netdata-core-no-sse,$(PACKAGES)))
 	mkdir -p build-core-no-sse
 	dh_auto_configure -B build-core-no-sse -- --libdir=/usr/lib --libexecdir=/usr/lib \
+		--disable-cloud \
 		--disable-x86-sse \
+		--enable-backend-prometheus-remote-write \
 		--enable-dbengine \
 		--enable-https \
-		--enable-plugin-freeipmi \
+		--enable-plugin-cups \
 		--enable-plugin-nfacct \
 		--with-math
 	cp -a tests build-core-no-sse
+	cp -a aclk/legacy/tests build-core-no-sse/aclk/legacy
 	cp -a web/gui/src build-core-no-sse/web/gui
 endif
 
@@ -95,7 +97,7 @@
 	# Moving architecture independent plugins
 	mkdir -p $(TOP)-plugins-python/usr/lib/netdata/conf.d/health.d
 	mv debian/tmp/usr/lib/netdata/conf.d/health.d/mongodb.conf $(TOP)-plugins-python/usr/lib/netdata/conf.d/health.d
-	mv debian/tmp/usr/lib/netdata/conf.d/mongodb.conf $(TOP)-plugins-python/usr/lib/netdata/conf.d
+	mv debian/tmp/usr/lib/netdata/conf.d/python.d/mongodb.conf $(TOP)-plugins-python/usr/lib/netdata/conf.d
 
 override_dh_install-arch:
 	find debian/tmp -name .keep -delete
@@ -106,7 +108,7 @@
 	touch $(TOP)-core/etc/netdata/.opt-out-from-anonymous-statistics
 
 	mkdir -p $(TOP)-core/usr/lib/netdata/plugins.d
-	for plugin in cgroup-network apps.plugin freeipmi.plugin nfacct.plugin perf.plugin slabinfo.plugin; \
+	for plugin in cgroup-network apps.plugin nfacct.plugin perf.plugin slabinfo.plugin; \
 	do \
 		cp debian/tmp/usr/lib/netdata/plugins.d/$${plugin} \
 		   $(TOP)-core/usr/lib/netdata/plugins.d; \
@@ -121,7 +123,7 @@
 	touch $(TOP)-core-no-sse/etc/netdata/.opt-out-from-anonymous-statistics
 
 	mkdir -p $(TOP)-core-no-sse/usr/lib/netdata/plugins.d
-	for plugin in cgroup-network apps.plugin freeipmi.plugin nfacct.plugin perf.plugin slabinfo.plugin; \
+	for plugin in cgroup-network apps.plugin nfacct.plugin perf.plugin slabinfo.plugin; \
 	do \
 		cp debian/tmp-core-no-sse/usr/lib/netdata/plugins.d/$${plugin} \
 		   $(TOP)-core-no-sse/usr/lib/netdata/plugins.d; \
@@ -139,7 +141,7 @@
 
 	# Move architecture dependent plugins
 	mkdir -p $(TOP)-core/usr/lib/netdata/plugins.d
-	for plugin in cgroup-network apps.plugin freeipmi.plugin nfacct.plugin perf.plugin slabinfo.plugin; \
+	for plugin in cgroup-network apps.plugin nfacct.plugin perf.plugin slabinfo.plugin; \
 	do \
 		mv -f $(TOP)-plugins-bash/usr/lib/netdata/plugins.d/$${plugin} \
 		   $(TOP)-core/usr/lib/netdata/plugins.d; \
@@ -177,20 +179,15 @@
 	dh_installlogrotate -p netdata-core-no-sse --name=netdata
 	dh_installlogrotate --remaining-packages
 
-override_dh_missing:
-	dh_missing --fail-missing
-
 override_dh_fixperms-arch:
 	dh_fixperms -a
 
 	# apps.plugin should only be runnable by the netdata user. It will be
 	# given extra capabilities in the postinst script.
 	chmod 0754 $(TOP)-core/usr/lib/netdata/plugins.d/apps.plugin
-	chmod 4754 $(TOP)-core/usr/lib/netdata/plugins.d/freeipmi.plugin
 	chmod 4754 $(TOP)-core/usr/lib/netdata/plugins.d/perf.plugin
 ifeq (netdata-core-no-sse,$(findstring netdata-core-no-sse,$(PACKAGES)))
 	chmod 0754 $(TOP)-core-no-sse/usr/lib/netdata/plugins.d/apps.plugin
-	chmod 4754 $(TOP)-core-no-sse/usr/lib/netdata/plugins.d/freeipmi.plugin
 	chmod 4754 $(TOP)-core-no-sse/usr/lib/netdata/plugins.d/perf.plugin
 endif
